UIConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.UIConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class UIConstants

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.UIConstants

    public class UIConstants

extends java.lang.Object

Declares constants used by bizapp beans.

Field Summary
`static int` | `SUMMARY_TYPE_AUTOGROUP` Identifies a `ResourceTypeDisplaySummary` representing two or more resources of like resource type.
`static int` | `SUMMARY_TYPE_CLUSTER` Identifies a `ResourceTypeDisplaySummary` representing a cluster of resources.
`static int` | `SUMMARY_TYPE_SINGLETON` Identifies a `ResourceTypeDisplaySummary` representing a single resource.

Constructor Summary
`UIConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUMMARY_TYPE_AUTOGROUP

    public static final int SUMMARY_TYPE_AUTOGROUP

  Identifies a `ResourceTypeDisplaySummary` representing two or more resources of like resource type.

  See Also:
    Constant Field Values

### SUMMARY_TYPE_CLUSTER

    public static final int SUMMARY_TYPE_CLUSTER

  Identifies a `ResourceTypeDisplaySummary` representing a cluster of resources.

  See Also:
    Constant Field Values

### SUMMARY_TYPE_SINGLETON

    public static final int SUMMARY_TYPE_SINGLETON

  Identifies a `ResourceTypeDisplaySummary` representing a single resource.

  See Also:
    Constant Field Values

Constructor Detail

### UIConstants

    public UIConstants()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.